Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.net
Class HttpClient

    java.lang.Object
      com.ejie.r01f.net.HttpClient

public class HttpClient
extends java.lang.Object

Clase que se encarga de la comunicación con un servidor. Abstrae la comunicación rpc que se envia al servidor bien por GET o POST

Constructor Summary
`HttpClient(java.lang.String inTargetURL)` Constructor a partir de una URL en formato cadena con el destino
`HttpClient(java.lang.String inTargetURL, java.util.Map inParameters)` Constructor a partir de una URL en formato cadena con el destino
`HttpClient(java.lang.String inNetProtocol, java.lang.String inTargetURL)` Constructor a partir de una URL en formato cadena con el destino
`HttpClient(java.lang.String inNetProtocol, java.lang.String inTargetURL, java.util.Map inParameters)` Constructor a partir de una URL en formato cadena con el destino

Method Summary
`long` | `getConnectionTimeout()`
`java.io.InputStream` | `sendGetHttpCall()` Ejecuta la llamada vía GET
`java.io.InputStream` | `sendHttpCall()` Ejecuta la llamada utilizando el metodo (GET/SET) establecido
`java.io.InputStream` | `sendPostHttpCall()` Ejecuta la llamada via POST
`void` | `setConnectionTimeout(long timeout)` Establece el timeout de obtención de la conexion
`void` | `setProxyAuthorization(java.lang.String user, java.lang.String password)` Establece la información de autorización para el PROXY en la cabecera http (autenticación básica) El nombre y la clave van como una cadena "Basic usr:psswd" codificada en base64 en un campo de la cabecera llamado Authorization La autorización al igual que los demás campos de la cabecera persisten a lo largo de múltiples llamadas.
`void` | `setProxyHost(java.lang.String proxy, java.lang.String port)` Establece conexión através del Proxy.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpClient

    public HttpClient(java.lang.String inTargetURL)

  Constructor a partir de una URL en formato cadena con el destino

### HttpClient

    public HttpClient(java.lang.String inNetProtocol,
                      java.lang.String inTargetURL)
               throws java.net.MalformedURLException

  Constructor a partir de una URL en formato cadena con el destino

### HttpClient

    public HttpClient(java.lang.String inNetProtocol,
                      java.lang.String inTargetURL,
                      java.util.Map inParameters)
               throws java.net.MalformedURLException

  Constructor a partir de una URL en formato cadena con el destino

### HttpClient

    public HttpClient(java.lang.String inTargetURL,
                      java.util.Map inParameters)

  Constructor a partir de una URL en formato cadena con el destino

Method Detail

### setConnectionTimeout

    public void setConnectionTimeout(long timeout)

  Establece el timeout de obtención de la conexion

### getConnectionTimeout

    public long getConnectionTimeout()

### sendHttpCall

    public java.io.InputStream sendHttpCall()
                                     throws java.io.IOException

  Ejecuta la llamada utilizando el metodo (GET/SET) establecido

  Returns:
    an InputStream to read the response
  Throws:
    `java.io.IOException` - if an I/O error occurs

### sendGetHttpCall

    public java.io.InputStream sendGetHttpCall()
                                        throws java.io.IOException

  Ejecuta la llamada vía GET

  Returns:
    an InputStream to read the response
  Throws:
    `java.io.IOException` - if an I/O error occurs

### sendPostHttpCall

    public java.io.InputStream sendPostHttpCall()
                                         throws java.io.IOException

  Ejecuta la llamada via POST

  Returns:
    an InputStream to read the response
  Throws:
    `java.io.IOException` - if an I/O error occurs

### setProxyHost

    public void setProxyHost(java.lang.String proxy,
                             java.lang.String port)

  Establece conexión através del Proxy.

  Parameters:
    `proxy` - : Proxy a través del cual deben salir las llamadas del HttpClient.
    `port` - : Puerto en el que escucha el Proxy.

### setProxyAuthorization

    public void setProxyAuthorization(java.lang.String user,
                                      java.lang.String password)

  Establece la información de autorización para el PROXY en la cabecera http (autenticación básica) El nombre y la clave van como una cadena "Basic usr:psswd" codificada en base64 en un campo de la cabecera llamado Authorization La autorización al igual que los demás campos de la cabecera persisten a lo largo de múltiples llamadas.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD